/********************************************************* * 
@file		:spi_common.c 
@brief  	:common interface header file 
@author 	:zhongfeng
@version	:v1.0 
@date 		:19/08/29
Copyright (C) 2019 Panchip Technology Corp. All rights reserved. 
***********************************************************/
#ifndef __OTP_COMMON_H__
#define __OTP_COMMON_H__

#define __ramfunc __attribute__((section(".ramcode")))

void Delay_1us(uint32_t us);
void data_printf(uint8_t const *data, uint32_t len);

uint32_t OTP_ReadTest(void);

void LP_TestFunctionEnter(uint16_t Idx);

__ramfunc void TempFunc_SetTrTrim(uint16_t trim);
__ramfunc void WriteColumn(uint32_t Addr, uint8_t *buf);
__ramfunc void ReadColumn(uint32_t Addr, uint8_t *buf);
	
#endif  //__OTP_COMMON_H__
